#include<bits/stdc++.h>
using namespace std;
 

double a[200005],p[200005],sum,ans;
int t[200005];
bool f(int x,int y) {
	return p[x]<p[y];
}

int main() {
	int n;
	cin >> n;
	for(int i=0;i<n;i++) {
		cin >> a[i] >> p[i];
		t[i]=i;
		sum+=a[i];
	}
	sort(t,t+n,f);
	for(int i=0;i<n;i++) {
		ans=max(ans,(sum*p[t[i]])/100.00000);
		sum-=a[t[i]];
	}
	cout<<showpoint<<fixed<<setprecision(10)<<ans;
}